> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan2.5 画像から動画

> - WAN2.5 (wan2.5-image-to-video) モデルは最初のフレーム画像から動画モードをサポートしています
- 非同期処理モード、返されたタスクIDを使用して[照会](/ja/api-manual/task-management/get-task-detail)してください
- 生成された動画リンクは24時間有効です。速やかに保存してください



## OpenAPI

````yaml ja/api-manual/video-series/wan2.5/wan2.5-image-to-video.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: wan2.5-image-to-video インターフェース
  description: WAN2.5 モデルを使用した画像から動画の生成、簡略化されたモデルパラメータ設定をサポート
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 本番環境
security:
  - bearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - 動画生成
      summary: wan2.5-image-to-video インターフェース
      description: >-
        - WAN2.5 (wan2.5-image-to-video) モデルは最初のフレーム画像から動画モードをサポートしています

        -
        非同期処理モード、返されたタスクIDを使用して[照会](/ja/api-manual/task-management/get-task-detail)してください

        - 生成された動画リンクは24時間有効です。速やかに保存してください
      operationId: createWan25ImageToVideoGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Wan25ImageToVideoRequest'
            examples:
              image_to_video:
                summary: 画像から動画
                value:
                  model: wan2.5-image-to-video
                  prompt: A cat playing piano
      responses:
        '200':
          description: 動画タスクが正常に作成されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '400':
          description: リクエストパラメータが不正です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、トークンが無効または期限切れです
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: クォータ不足のため、チャージが必要です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: アクセスが拒否されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: wan2.5-image-to-video'
                  type: invalid_request_error
        '429':
          description: レート制限を超えました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    Wan25ImageToVideoRequest:
      type: object
      required:
        - model
        - prompt
        - image_urls
      properties:
        model:
          type: string
          description: モデル名
          enum:
            - wan2.5-image-to-video
          default: wan2.5-image-to-video
          example: wan2.5-image-to-video
        prompt:
          type: string
          description: 生成する動画の内容を説明するプロンプト、2000トークンまで
          example: A cat playing the piano
          maxLength: 2000
        duration:
          type: integer
          description: |-
            生成される動画の長さ（秒）を指定します

            **注意:**
            - `5` と `10` の値のみサポート、それぞれ `5秒` と `10秒` を表します
            - 1回のリクエストは `duration` の値に基づいて事前課金され、実際の課金は生成された動画の長さ（秒）に基づきます
          example: 5
        quality:
          type: string
          description: |-
            動画の品質、デフォルトは `720p`

            **説明:**
            - `480p`: 低品質、低価格
            - `720p`: 標準品質、標準価格、これがデフォルトです
            - `1080p`: 高品質、高価格
          default: 720p
          example: 720p
        image_urls:
          type: array
          description: >-
            最初のフレーム画像から動画機能用の参照画像URLリスト


            **注意:**

            - 1回のリクエストでサポートされる入力画像数: `1` 枚

            - 画像サイズ: `10MB` 以下

            - サポートされる画像形式: `.jpeg`、`.jpg`、`.png`（透過チャンネル非対応）、`.bmp`、`.webp`

            - 画像解像度: 画像の幅と高さの範囲は `[360, 2000]` ピクセル

            - 画像URLはサーバーから直接閲覧可能であるか、アクセス時に直接ダウンロードが開始される必要があります（通常、これらのURLは
            `.png`、`.jpg` などの画像拡張子で終わります）
          items:
            type: string
            format: uri
          maxItems: 1
          example:
            - https://example.com/image1.png
        prompt_extend:
          type: boolean
          description: >-
            インテリジェントプロンプト書き換えを有効にするかどうか。有効にすると、大規模言語モデルがプロンプトを最適化します。詳細が不足しているプロンプトやシンプルすぎるプロンプトに特に効果的です。デフォルト値は
            `true`
          default: true
          example: true
        callback_url:
          type: string
          description: >-
            タスク完了後の HTTPS コールバックアドレス


            **コールバックタイミング：**

            - タスクが完了、失敗、またはキャンセルされた時にトリガーされます

            - 課金確認完了後に送信されます


            **セキュリティ制限：**

            - HTTPS プロトコルのみサポート

            - 内部 IP アドレスへのコールバックは禁止（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x
            など）

            - URL の長さは `2048` 文字以内


            **コールバックメカニズム：**

            - タイムアウト：`10` 秒

            - 失敗時最大 `3` 回リトライ（`1` 秒/`2` 秒/`4` 秒後にリトライ）

            - コールバックレスポンスボディの形式はタスククエリ API のレスポンス形式と一致

            - コールバックアドレスが 2xx ステータスコードを返した場合は成功とみなされ、その他のステータスコードはリトライをトリガーします
          format: uri
          example: https://your-domain.com/webhooks/video-task-completed
    VideoGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: タスク作成タイムスタンプ
          example: 1757169743
        id:
          type: string
          description: タスク ID
          example: task-unified-1757169743-7cvnl5zw
        model:
          type: string
          description: 使用された実際のモデル名
          example: wan2.5-image-to-video
        object:
          type: string
          enum:
            - video.generation.task
          description: 具体的なタスクタイプ
        progress:
          type: integer
          description: タスク進捗率（0-100）
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: タスクステータス
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/VideoTaskInfo'
          description: 動画タスクの詳細情報
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: タスク出力タイプ
          example: video
        usage:
          $ref: '#/components/schemas/Usage'
          description: 使用量と課金情報
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード識別子
            message:
              type: string
              description: エラーの説明
            type:
              type: string
              description: エラータイプ
    VideoTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: タスクをキャンセルできるかどうか
          example: true
        estimated_time:
          type: integer
          description: 推定完了時間（秒）
          minimum: 0
          example: 120
    Usage:
      type: object
      description: 使用量と課金情報
      properties:
        billing_rule:
          type: string
          description: 課金ルール
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 推定消費クレジット
          minimum: 0
          example: 5
        user_group:
          type: string
          description: ユーザーグループカテゴリ
          enum:
            - default
            - vip
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##すべてのAPIにBearer Token認証が必要です##

        **APIキーの取得：**

        [APIキー管理ページ](https://evolink.ai/dashboard/keys)にアクセスしてAPIキーを取得してください

        **リクエストヘッダーに追加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````